<?php
/**
 * Plugin Liaison d'objets
 * @copyright  2012 - 2021
 * Licence GNU/GPL
 */
if (!defined('_ECRIRE_INC_VERSION'))
	return;

include_spip('inc/actions');
include_spip('inc/editer');

/**
 * Identifier le formulaire en faisant abstraction des parametres qui ne representent pas l'objet edite
 */
function formulaires_editer_liaison_objet_identifier_dist($id_liaison_objet = 'new', $retour = '', $lier_trad = 0, $config_fonc = '', $row = array(), $hidden = '') {
	return serialize(array(
		intval($id_liaison_objet)
	));
}

/**
 * Declarer les champs postes et y integrer les valeurs par defaut
 */
function formulaires_editer_liaison_objet_charger_dist($id_liaison_objet = 'new', $retour = '', $lier_trad = 0, $config_fonc = '', $row = array(), $hidden = '') {
	$valeurs = formulaires_editer_objet_charger('liaison_objet', $id_liaison_objet, '', $lier_trad, $retour, $config_fonc, $row, $hidden);

	if (!$valeurs['objet_dest'])
		$valeurs['objet_dest'] = _request('objet_dest');
	if (!$valeurs['id_objet_dest'])
		$valeurs['id_objet_dest'] = _request('id_objet_dest');
	if (!$valeurs['id_objet'])
		$valeurs['id_objet'] = _request('id_objet');
	if (!$valeurs['objet'])
		$valeurs['objet'] = _request('objet');
	if (!$valeurs['titre'])
		$valeurs['titre'] = _request('titre');
	if (!$valeurs['statut'])
		$valeurs['statut'] = _request('statut');
	if (!$valeurs['lang'])
		$valeurs['lang'] = _request('lang');

	$valeurs['_hidden'] .= '<input type="hidden" name="lang" value="' . $valeurs['lang'] . '">';
	$valeurs['_hidden'] .= '<input type="hidden" name="objet_dest" value="' . $valeurs['objet_dest'] . '">';
	$valeurs['_hidden'] .= '<input type="hidden" name="id_objet_dest" value="' . $valeurs['id_objet_dest'] . '">';
	$valeurs['_hidden'] .= '<input type="hidden" name="objet" value="' . $valeurs['objet'] . '">';
	$valeurs['_hidden'] .= '<input type="hidden" name="id_objet" value="' . $valeurs['id_objet'] . '">';
	$valeurs['_hidden'] .= '<input type="hidden" name="statut" value="' . $valeurs['statut'] . '">';
	// Les types liens pour l'objet concerné
	if (!$types = lire_config('liaison_objet/type_liens_' . $valeurs['objet_dest'], array()))
		$types = lire_config('liaison_objet/type_liens', array());

	$types_lien = array();
	foreach ($types as $cle => $valeur) {
		$types_lien[$cle] = _T($valeur);
	}
	$valeurs['types_lien'] = $types_lien;

	return $valeurs;
}

/**
 * Verifier les champs postes et signaler d'eventuelles erreurs
 */
function formulaires_editer_liaison_objet_verifier_dist($id_liaison_objet = 'new', $retour = '', $lier_trad = 0, $config_fonc = '', $row = array(), $hidden = '') {
	return formulaires_editer_objet_verifier('liaison_objet', $id_liaison_objet);
}

/**
 * Traiter les champs postes
 */
function formulaires_editer_liaison_objet_traiter_dist($id_liaison_objet = 'new', $retour = '', $lier_trad = 0, $config_fonc = '', $row = array(), $hidden = '') {
	return formulaires_editer_objet_traiter('liaison_objet', $id_liaison_objet, '', $lier_trad, $retour, $config_fonc, $row, $hidden);
}
